=== xr-usb-serial/Makefile ===
obj-m := xr_usb_serial_common.o

#KERNELDIR ?= /lib/modules/$(shell uname -r)/build
KERNELDIR ?=$(shell pwd)/../parts/kernel/build
PWD       := $(shell pwd)

EXTRA_CFLAGS	:= -DDEBUG=0

all:
	$(MAKE) -C $(KERNELDIR) M=$(PWD)

modules_install:
	$(MAKE) -C $(KERNELDIR) M=$(PWD) modules_install

clean:
	rm -rf *.o *~ core .depend .*.cmd *.ko *.mod.c .tmp_versions vtty
